<?php if($this->session->flashdata('success')): ?>
    <div class="row">
        <div class="alert alert-block alert-success" style="margin-bottom: 5px">
            <button type="button" class="close" data-dismiss="alert">
                <i class="ace-icon fa fa-times"></i>
            </button>
            <i class="ace-icon fa fa-check green"></i>
            <?php echo $this->session->flashdata('success'); ?>
        </div>
    </div>
<?php endif; ?>
<?php if($this->session->flashdata('error')): ?>
    <div class="row">
        <div class="alert alert-block alert-danger" style="margin-bottom: 5px">
            <button type="button" class="close" data-dismiss="alert">
                <i class="ace-icon fa fa-times"></i>
            </button>
            <i class="ace-icon fa fa-times"></i>
            <?php echo $this->session->flashdata('error'); ?>
        </div>
    </div>
<?php endif; ?>

<div class="row">
    <?php echo form_open(base_url().'backend/cmsSetting/listUserAdminAjax'); ?>
    <div class="col-lg-2">
        <input
            class="form-control" type="text"
            name="input-name"
            id="input-name"
            placeholder="Tên admin..."/>
    </div>
    <div class="col-lg-1">
        <button class="btn btn-sm btn-default" id="delete-filter">Xóa bộ lọc</button>
    </div>
    <?php echo form_close(); ?>
</div>
<!-- /.row -->
<div class="space-6"></div>
<div class="row" >
    <div style="text-align: center" id="data-loading">
        <i class="fa fa-refresh fa-spin bigger-200"></i> Đang tải dữ liệu...
    </div>
    <div class="col-lg-12">
        <div id="div-mo-list">
            <table class="table table-striped table-bordered table-hover">
                <thead></thead>
                <tbody></tbody>
            </table>
        </div>
    </div>
</div>
<div class="row">
    <div class="col-lg-12">
        <a href="<?php echo base_url().'backend/cmsSetting/addUserAdmin'?>">
            <button class="btn btn-sm btn-primary">+ Thêm mới</button>
        </a>
    </div>
</div>

<script type="text/javascript">
    //Thuc hien viec ve bieu do$data
    $(document).ready(function() {
        var url = '<?php echo base_url()."backend/cmsSetting/listUserAdminAjax"; ?>';

        // Tìm kiếm theo cú pháp
        var oldTimeout2 = '';
        $('#input-name').keyup(function(){
            clearTimeout(oldTimeout2);
            oldTimeout2 = setTimeout(function(){
                loadDataByAjaxFromInput(url);
            }, 1000);
        });
        // Xóa bộ lọc
        $('#delete-filter').click(function(){
            $("#input-name").val('');
            changePagination('0');
            return false;

        });
        changePagination('0');

    });
    //Ham chung cho cac input
    function loadDataByAjaxFromInput(url){
        var csrf_value = '<?php echo $this->security->get_csrf_hash(); ?>';
        var filterByAccount = $("#input-name").val();
        //Ajax ve bieu do
        $.ajax({
            type: "POST",
            url: url,
            data: {
                csrf_name: csrf_value,
                filterByAccount: filterByAccount
            },
            dataType: "text",
            cache: false,
            success: function(data){
                $('#div-mo-list').html(data);
                $('#data-loading').hide();
            }
        });
    }
    //Ham chung cho cac SelectBox
    function loadDataByAjaxFromSelectBox(id, url){
        $('#'+id).change(function(){
            var csrf_value = '<?php echo $this->security->get_csrf_hash(); ?>';
            var filterByAccount = $("#input-name").val();
            //Ajax ve bieu do
            $.ajax({
                type: "POST",
                url: url,
                data: {
                    csrf_name: csrf_value,
                    filterByAccount: filterByAccount,
                },
                dataType: "text",
                cache: false,
                success: function(data){
                    $('#div-mo-list').html(data);
                    $('#data-loading').hide();
                }
            });
        });
    }

    function loadDataByAjaxDateRange(dtFrom, dtTo, url){
        var csrf_value = '<?php echo $this->security->get_csrf_hash(); ?>';
        var filterByAccount = $("#input-name").val();
        // ajax
        $.ajax({
            type: "POST",
            url: url,
            data: {
                csrf_name: csrf_value,
                filterByAccount: filterByAccount
            },
            dataType: "text",
            cache: false,
            success: function(data){
                $('#div-mo-list').html(data);
                $('#data-loading').hide();
            }
        });
    }

    function changePagination(pageId) {
        var csrf_value = '<?php echo $this->security->get_csrf_hash(); ?>';
        var url = '<?php echo base_url()."backend/cmsSetting/listUserAdminAjax"; ?>';
        var filterByAccount = $("#input-name").val();
        //Ajax ve bieu do
        $.ajax({
            type: "POST",
            url: url,
            data: {
                csrf_name: csrf_value,
                filterByAccount: filterByAccount,
                pageId: pageId
            },
            dataType: "text",
            cache: false,
            success: function(data){
                $('#div-mo-list').html(data);
                $('#data-loading').hide();
            }
        });
    }

</script>